********************************************************************************
*** "Lives, Livelihoods, and Learning: A Global Perspective on the 			 ***
***  Well-being Impacts of the Covid-19 Pandemic"	     					 ***
***  By Benoit Decerf, Jed Friedman, Arthur Mendes, Steven Pennings, Nishant ***
***  Yonzan (bdecerf@worldbank.org, jfriedman@worldbank.org,                 ***
***  agalegomendes@worldbank.org, spennings@worldbank.org,                   ***
***  nyonzan@worldbank.org)												     ***
*** 							February 2023 								 ***
********************************************************************************
***   Master do file which generates all empirical tables and figures (main text and appendix)  ***
********************************************************************************

// the location of this do file (change this)
global path "." 
cd "$path"
set varabbrev on
sysdir set PLUS "${path}/Dofiles/ado"

// Alpha, CPY, FPY, YLL construction
// It also replicates the tables in the main text and appendix
do "${path}/DoFiles/Alpha.do"
do "${path}/DoFiles/CPY.do"
do "${path}/DoFiles/FPY.do"
do "${path}/DoFiles/YLL.do"

// Replicate figures in the main text
do "${path}/DoFiles/Figure1"
do "${path}/DoFiles/Figure2"
// Note: Run Alpha.do, CPY.do, FPY.do, YLL.do first

// Replicate figures in the appendix
do "${path}/Appendix/DoFiles/AppendixFigure1.do"
do "${path}/Appendix/DoFiles/AppendixFigure2.do"
// Note: Run Alpha.do, CPY.do, FPY.do, YLL.do first
